<template>
  <a-input-search v-model="searchValInit" :class="$style.search" @search="open" />
</template>

<script>
import components from './_import-components/oa-search-input-import'

export default {
  name: 'OaSearchInput',

  components,
  data() {
    return {
      searchValInit: '',
    }
  },
  methods: {
    open() {
      window.open(`${this.$router.resolve('/oa-full-search').href}?searchVal=${this.searchValInit}`)
    },
  },
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
.search {
  width: 219px;
  margin: 0 10px;
}
</style>
